# AddCheckbox

> 2.0.1

A jQuery plugin the replaces the native checkbox.

```HTML
<input data-addui='checkbox' />
```

## Importing
Because this is a [jQuery](http://jquery.com) plugin, jQuery must be first imported before this plugin. Any version of jQuery should work.
```HTML
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.0/jquery.min.js"></script>
```

Then copy `addCheckbox.js` and `addCheckbox.css` from the distribution (`dist`) directory into your project and import it into your page.
```HTML
<link rel='stylesheet' href='path/to/addCheckbox.css' />
<script src='path/to/addCheckbox.js'></script>
```

### Theming
The CSS was compiled from Sass (SCSS), you can change the color and the theme by editing the variables in `src/addCheckbox.scss`, the colors can be set to any color and `$theme` can be set to `"dark"` or `"light"`. After making your changes you will need to recompile the SASS, if you do not have sass installed on your system visit [SassMeister.com](http://www.sassmeister.com/) for an easy to use online compiler (you will need to manually import the partials).

### Obj.JS
This plugin is built using the [Obj.JS 2.1+](https://github.com/addui/ObjJS) framework, but it is included in the distribution JS file (`dist/addCheckbox.js`). If you are already using Obj.JS on your page you should import the JS file from source instead (`src/addCheckbox.js`) to avoid loading duplicate code.

## How to Use
To use this plugin create an input element and give it a `data-addui` attribute with a value of `"checkbox"`. It will be automatically converted into a checkbox.

```HTML
<input data-addui='checkbox' />
```

![](res/checkbox.gif)


## Attributes
If you give the `<input>` element the following attributes they will be carried over to the plugin's widget.

 - **id**
 - **name**
 - **class**
 - **placeholder**
   - The placeholder attribute is used to build the "label" text.


#License

This software is property of [**Dustin Poissant**](http://github.com/dustinpoissant).

This software is distributed AS-IS with no warranties/guarantees either expressed or implied.

This software is Licensed under [CC BY-NC-SA 3.0 US](https://creativecommons.org/licenses/by-nc-sa/3.0/us/).
